#ifndef _DIRECTION_H_
#define _DIRECTION_H_

#include "./include.h"
#include "../../shared/Bamg/shared.h"

namespace bamg {

	class Direction {
		private:
			Icoor1 dir;

		public:
			//Methods
			Direction();
			Direction(Icoor1 i,Icoor1 j);
			int direction(Icoor1 i,Icoor1 j);
	};
}
#endif

